import request from '@/utils/request'

// 查询饲喂计划列表
export function listFeedPlan(query) {
  return request({
    url: '/feed/FeedPlan/list',
    method: 'get',
    params: query
  })
}

// 查询饲喂计划详细
export function getFeedPlan(createDate) {
  return request({
    url: '/feed/FeedPlan/' + createDate,
    method: 'get'
  })
}

// 新增饲喂计划
export function addFeedPlan(data) {
  return request({
    url: '/feed/FeedPlan',
    method: 'post',
    data: data
  })
}

// 修改饲喂计划
export function updateFeedPlan(data) {
  return request({
    url: '/feed/FeedPlan',
    method: 'put',
    data: data
  })
}

// 删除饲喂计划
export function delFeedPlan(createDate) {
  return request({
    url: '/feed/FeedPlan/' + createDate,
    method: 'delete'
  })
}
